The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Error cPanel cannot be executed standalone

Discussion in 'General Discussion' started by rootlover, Jun 27, 2013.

  1. rootlover

    rootlover Member

    Joined:
    May 2, 2011
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    1
    hello, i'am having this messages tonight when i try to login to cpanel:

    "cPanel cannot be executed standalone. It must be run from cpsrvd or xml-api. This check can be disabled in Tweak Settings. [a fatal error or timeout occurred while processing this directive]"

    and when i login to whm -> tweek setting i got also error said:
    "In order to prevent conflicts, Tweak Settings may not be altered while a cPanel & WHM® update is in progress."

    what is this, and why this happen, any explain would be greatful, thanks
     
  2. ThinIce

    ThinIce Well-Known Member

    Joined:
    Apr 27, 2006
    Messages:
    346
    Likes Received:
    7
    Trophy Points:
    18
    Location:
    Disillusioned in England
    cPanel Access Level:
    Root Administrator
    It sounds like something may have gone awry with an update, is there an upcp process still running / stuck?
     
  3. HostingH

    HostingH Well-Known Member

    Joined:
    Jan 13, 2008
    Messages:
    73
    Likes Received:
    3
    Trophy Points:
    6
    cPanel Access Level:
    Root Administrator
    Hi,

    Please check cpanel logs at /usr/local/cpanel/logs/error_log. Try to kill upcp and run it again then check logs.
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    676
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Hello :)

    Yes, it sounds like a cPanel update is in progress. You can check to see if an existing "upcp" process is running with a command such as:

    Code:
    ps aux|grep upcp
    Thank you.
     
  5. VeZoZ

    VeZoZ Well-Known Member

    Joined:
    Dec 14, 2002
    Messages:
    248
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    Is there anyway to improve the error message? Any time we upgrade cPanel our users get this message resulting in unnecessary support calls. If there was a message like cPanel is down for an update it will be back up in 15 minutes would be extremely helpful.
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    676
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    I don't believe you should be experiencing that error message any time cPanel updates. Please open a support ticket using the link in my signature so we can take a closer look and attempt to reproduce the issue. You can post the ticket number here so we can update this thread with the outcome.

    Thank you.
     
  7. VeZoZ

    VeZoZ Well-Known Member

    Joined:
    Dec 14, 2002
    Messages:
    248
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    Appears to be an issue with CloudLinux case 105285.
     
  8. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    676
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Internal case number 105285 is open to address an issue where CloudLinux kernels prefix the '(deleted)' flag when the running binary is removed/replaced. This causes login failures when the cpsrvd binaries are replaced during an upcp until the cPanel service is restarted. You can monitor our change log for this case number to determine when a resolution has been implemented:

    cPanel - Change Logs

    Thank you.
     
  9. VeZoZ

    VeZoZ Well-Known Member

    Joined:
    Dec 14, 2002
    Messages:
    248
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    DataCenter Provider
    This is still not addressed and I'm surprised this wasn't given any sort of priority to fix. A lot of cPanel servers use CloudLinux and having cPanel going down anytime there is an update with this nasty error message is just not acceptable. The only solution is to not update cPanel as frequently so that cpanel is not going down as frequently.
     
  10. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    676
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    The case has been merged into the 11.44 upstream, meaning a resolution has been developed and is scheduled for a future build of cPanel version 11.44. There is currently no specific time frame on when it will be released to the public.

    Thank you.
     
Loading...

Share This Page